# Forked from https://sourceforge.net/projects/qwt/files/qwt/5.2.3/
# This was the last, almost unannounced maintenance release of the 5.x branch,
# see: https://sourceforge.net/p/qwt/mailman/message/30128542/
# This fork contains several bugfixes and configuration file patches, to comply
# with distribution-specific system paths.

%global commit0      eeacc4497738de159ca6f352d0c8ada353831b53
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global commitdate   20190819
%global owner        gbm19

%define major        5
%define libname      %mklibname qwt5-qt5_ %{major}
%define libnamedev   %mklibname qwt5-qt5 -d

%define fakename     qwt5-qt5

%define rel 3

Name:           libqwt5-qt5
Version:        5.2.3a
Release:        %mkrel 2.git%{commitdate}.%{rel}
Summary:        Qt Widgets for Technical Applications adapted to Qt5
Group:          System/Libraries

License:        LGPLv2+ with exceptions
URL:            https://github.com/gbm19/qwt5-qt5
Source:         https://github.com/%{owner}/qwt5-qt5/archive/master/qwt5-qt5-master.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Designer)

%description
The Qwt library contains GUI Components and utility classes which are
primarily useful for programs with a technical background.  Besides a
2D plot widget it provides scales, sliders, dials, compasses,
thermometers, wheels and knobs to control or display values, arrays or
ranges of type double.

%package -n     %libname
Summary:        2D plotting widget extension to the Qt5 GUI
Group:          System/Libraries
Provides:       %{fakename} = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

Obsoletes:      %{_lib}qwt5-qt5_0

%description -n %libname
The Qwt library contains GUI Components and utility classes which are
primarily useful for programs with a technical background.  Besides a
2D plot widget it provides scales, sliders, dials, compasses,
thermometers, wheels and knobs to control or display values, arrays or
ranges of type double.

This package provides the runtime library.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       qwt5-qt5-devel = %{version}-%{release}
Provides:       libqwt5-qt5-devel = %{version}-%{release}

%description -n %{libnamedev}
The %{name}-devel package contains qt5 libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Extra Developer documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
%{summary} in HTML format.


%prep
%setup -qc -n %{fakename}-master

pushd %{fakename}-master
# avoid conflicts with qwt5-qt4 man files
for f in doc/man/man3/*.3; do mv $f ${f/%.3/.qt5.3}; done

%build
pushd %{fakename}-master
%qmake_qt5
%make_build

%install
pushd %{fakename}-master
%make_install INSTALL_ROOT=%{buildroot}

%files -n %{libname}
%license %{fakename}-master/COPYING
%doc %{fakename}-master/CHANGES
%doc %{fakename}-master/README
%{_qt5_libdir}/lib%{fakename}.so.%{major}{,.*}
%{?_qt5_plugindir}/designer/libqwt5_designer_plugin.so

%files -n %{libnamedev}
%{_mandir}/man3/*
%{_qt5_headerdir}/%{fakename}/
%{_qt5_libdir}/lib%{fakename}.so
%{_qt5_libdir}/pkgconfig/%{fakename}.pc

%files doc
%{_qt5_docdir}/html/%{fakename}/


%changelog
* Mon Apr 04 2022 umeabot <umeabot> 5.2.3a-2.git20190819.3.mga9
+ Revision: 1843471
- Mageia 9 Mass Rebuild

* Mon Jan 04 2021 daviddavid <daviddavid> 5.2.3a-2.git20190819.2.mga8
+ Revision: 1668720
- fix library pkg name (libmajor is 5)

* Mon Jan 04 2021 daviddavid <daviddavid> 5.2.3a-2.git20190819.1.mga8
+ Revision: 1668716
- fix dependencies
- fix release tag

* Sat Jan 02 2021 joequant <joequant> 5.2.3a-1.20190819giteeacc44.mga8
+ Revision: 1668130
- fix group / need this package for scidavis
- imported package libqwt5-qt5

